org.apache.poi.ss.usermodel

## Enum FontUnderline

- java.lang.Object
- - java.lang.Enum<FontUnderline>
  - - org.apache.poi.ss.usermodel.FontUnderline

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FontUnderline>

      public enum FontUnderline
      extends java.lang.Enum<FontUnderline>

  the different types of possible underline formatting
  Author:
    Gisella Bronzetti

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DOUBLE` Double-line underlining under each character in the cell.
    `DOUBLE_ACCOUNTING` Double-line accounting underlining under each character in the cell.
    `NONE` No underline.
    `SINGLE` Single-line underlining under each character in the cell.
    `SINGLE_ACCOUNTING` Single-line accounting underlining under each character in the cell.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getByteValue()`
    `int` | `getValue()`
    `static FontUnderline` | `valueOf(byte value)`
    `static FontUnderline` | `valueOf(int value)`
    `static FontUnderline` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FontUnderline[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SINGLE

          public static final FontUnderline SINGLE

      Single-line underlining under each character in the cell. The underline is drawn through the descenders of characters such as g and p..

    - #### DOUBLE

          public static final FontUnderline DOUBLE

      Double-line underlining under each character in the cell. underlines are drawn through the descenders of characters such as g and p.

    - #### SINGLE_ACCOUNTING

          public static final FontUnderline SINGLE_ACCOUNTING

      Single-line accounting underlining under each character in the cell. The underline is drawn under the descenders of characters such as g and p.

    - #### DOUBLE_ACCOUNTING

          public static final FontUnderline DOUBLE_ACCOUNTING

      Double-line accounting underlining under each character in the cell. The underlines are drawn under the descenders of characters such as g and p.

    - #### NONE

          public static final FontUnderline NONE

      No underline.

  - ### Method Detail

    - #### values

          public static FontUnderline[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FontUnderline c : FontUnderline.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FontUnderline valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### getByteValue

          public byte getByteValue()

    - #### valueOf

          public static FontUnderline valueOf(int value)

    - #### valueOf

          public static FontUnderline valueOf(byte value)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.